"use strict";

var _chunkFSIONHCScjs = require('../../chunk-FSIONHCS.cjs');
require('../../chunk-X5MWXWOA.cjs');


var _chunkQA423WE4cjs = require('../../chunk-QA423WE4.cjs');
require('../../chunk-7VDQ6CKY.cjs');
require('../../chunk-34HB56WE.cjs');
require('../../chunk-XTDX3HZA.cjs');
require('../../chunk-EST7HNFV.cjs');
require('../../chunk-RHWKNEUH.cjs');
require('../../chunk-64ZMDALJ.cjs');
require('../../chunk-N5KTMDVO.cjs');
require('../../chunk-BOHPEXDM.cjs');
require('../../chunk-6T6PI6XG.cjs');
require('../../chunk-5BF2LEAU.cjs');
require('../../chunk-2AGPRCO5.cjs');
require('../../chunk-6R46PMWT.cjs');
require('../../chunk-6AARQEB3.cjs');
require('../../chunk-S4V3EGNS.cjs');
require('../../chunk-HHZVPIBD.cjs');
require('../../chunk-SX5YQHZO.cjs');
require('../../chunk-UKD65B23.cjs');
require('../../chunk-TZXDYORA.cjs');
require('../../chunk-J42M6DF3.cjs');
require('../../chunk-ZYPCVNSG.cjs');
require('../../chunk-VAG3XY63.cjs');
require('../../chunk-W3WUDQIC.cjs');
require('../../chunk-YY4AHBBL.cjs');
require('../../chunk-IMCDDJAJ.cjs');

// src/common/msg/pubsub.spec.ts
describe("connection", () => {
  it("should send and receive messages", async () => {
    expect.assertions(3);
    const [f1, f2] = _chunkQA423WE4cjs.createLocalChannelPair.call(void 0, );
    const c1 = _chunkFSIONHCScjs.usePubSub.call(void 0, { channel: f1 });
    const c2 = _chunkFSIONHCScjs.usePubSub.call(void 0, { channel: f2 });
    let counter = 0;
    c1.on("bla", (a, b) => {
      counter -= b;
    });
    c2.on("bla", (a, b) => {
      counter += b;
      expect(a).toBe("hello");
    });
    await c1.emit("bla", "hello", 3);
    expect(counter).toBe(3);
    await c2.emit("bla", "hello2", 2);
    expect(counter).toBe(1);
  });
  it("should send and receive messages - alternative syntax", async () => {
    expect.assertions(3);
    const [f1, f2] = _chunkQA423WE4cjs.createLocalChannelPair.call(void 0, );
    const c1 = _chunkFSIONHCScjs.usePubSub.call(void 0, { channel: f1 });
    const c2 = _chunkFSIONHCScjs.usePubSub.call(void 0, { channel: f2 });
    let counter = 0;
    c1.subscribe("bla", (a, b) => {
      counter -= b;
    });
    c2.subscribe("bla", (a, b) => {
      counter += b;
      expect(a).toBe("hello");
    });
    await c1.publish("bla", "hello", 3);
    expect(counter).toBe(3);
    await c2.publish("bla", "hello2", 2);
    expect(counter).toBe(1);
  });
});
//# sourceMappingURL=pubsub.spec.cjs.map